VTK: vtkStringOutputWindow Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkStringOutputWindow Class Reference

File Specific output window class. More...

`#include <vtkStringOutputWindow.h>`

Inheritance diagram for vtkStringOutputWindow:
[legend]
Collaboration diagram for vtkStringOutputWindow:
[legend]

## Public Types
typedef vtkOutputWindow | Superclass
Public Types inherited from vtkOutputWindow
typedef vtkObject | Superclass
enum | DisplayModes { DEFAULT = -1 , NEVER = 0 , ALWAYS = 1 , ALWAYS_STDERR = 2 }
| Flag indicates how the vtkOutputWindow handles displaying of text to `stderr` / `stdout`. More...

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkStringOutputWindow * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Print ObjectFactor to stream. More...
void | DisplayText (const char *) override
| Put the text into the log file. More...
std::string | GetOutput ()
| Get the current output as a string. More...
Public Member Functions inherited from vtkOutputWindow
vtkOutputWindow * | NewInstance () const
virtual void | DisplayErrorText (const char *)
| Display the text. More...
virtual void | DisplayWarningText (const char *)
| Display the text. More...
virtual void | DisplayGenericWarningText (const char *)
| Display the text. More...
virtual void | DisplayDebugText (const char *)
| Display the text. More...
virtual void | PromptUserOn ()
| If PromptUser is set to true then each time a line of text is displayed, the user is asked if they want to keep getting messages. More...
virtual void | PromptUserOff ()
| If PromptUser is set to true then each time a line of text is displayed, the user is asked if they want to keep getting messages. More...
virtual void | SetPromptUser (bool)
| If PromptUser is set to true then each time a line of text is displayed, the user is asked if they want to keep getting messages. More...
virtual void | SetDisplayMode (int)
| Flag indicates how the vtkOutputWindow handles displaying of text to `stderr` / `stdout`. More...
virtual int | GetDisplayMode ()
| Flag indicates how the vtkOutputWindow handles displaying of text to `stderr` / `stdout`. More...
void | SetDisplayModeToDefault ()
| Flag indicates how the vtkOutputWindow handles displaying of text to `stderr` / `stdout`. More...
void | SetDisplayModeToNever ()
| Flag indicates how the vtkOutputWindow handles displaying of text to `stderr` / `stdout`. More...
void | SetDisplayModeToAlways ()
| Flag indicates how the vtkOutputWindow handles displaying of text to `stderr` / `stdout`. More...
void | SetDisplayModeToAlwaysStdErr ()
| Flag indicates how the vtkOutputWindow handles displaying of text to `stderr` / `stdout`. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkStringOutputWindow * | SafeDownCast (vtkObjectBase *o)
static vtkStringOutputWindow * | New ()
Static Public Member Functions inherited from vtkOutputWindow
static vtkTypeBool | IsTypeOf (const char *type)
static vtkOutputWindow * | SafeDownCast (vtkObjectBase *o)
static vtkOutputWindow * | New ()
| Creates a new instance of vtkOutputWindow. More...
static vtkOutputWindow * | GetInstance ()
| Return the singleton instance with no reference counting. More...
static void | SetInstance (vtkOutputWindow *instance)
| Supply a user defined output window. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkStringOutputWindow ()
| ~vtkStringOutputWindow () override
void | Initialize ()
Protected Member Functions inherited from vtkOutputWindow
| vtkOutputWindow ()
| ~vtkOutputWindow () override
virtual MessageTypes | GetCurrentMessageType ()
| Returns the current message type. More...
virtual StreamType | GetDisplayStream (MessageTypes msgType) const
| Returns the standard output stream to post the message of the given type on. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
std::ostringstream | OStream
Protected Attributes inherited from vtkOutputWindow
bool | PromptUser
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Protected Types inherited from vtkOutputWindow
enum | MessageTypes { MESSAGE_TYPE_TEXT , MESSAGE_TYPE_ERROR , MESSAGE_TYPE_WARNING , MESSAGE_TYPE_GENERIC_WARNING , MESSAGE_TYPE_DEBUG }
enum class | StreamType { Null , StdOutput , StdError }
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

File Specific output window class.

Writes debug/warning/error output to a log file instead of the console. To use this class, instantiate it and then call SetInstance(this).

Definition at line 20 of file vtkStringOutputWindow.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkOutputWindow vtkStringOutputWindow::Superclass

Definition at line 23 of file vtkStringOutputWindow.h.

## Constructor & Destructor Documentation

## ◆ vtkStringOutputWindow()

vtkStringOutputWindow::vtkStringOutputWindow | ( |  | ) |
| protected

## ◆ ~vtkStringOutputWindow()

vtkStringOutputWindow::~vtkStringOutputWindow | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkStringOutputWindow::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkStringOutputWindow::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkOutputWindow.

## ◆ SafeDownCast()

static vtkStringOutputWindow* vtkStringOutputWindow::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkStringOutputWindow::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkOutputWindow.

## ◆ NewInstance()

vtkStringOutputWindow* vtkStringOutputWindow::NewInstance | ( |  | ) | const

## ◆ New()

static vtkStringOutputWindow* vtkStringOutputWindow::New | ( |  | ) |
| static

## ◆ PrintSelf()

void vtkStringOutputWindow::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Print ObjectFactor to stream.

Reimplemented from vtkOutputWindow.

## ◆ DisplayText()

void vtkStringOutputWindow::DisplayText | ( | const char * |  | ) |
| overridevirtual

Put the text into the log file.

New lines are converted to carriage return new lines.

Reimplemented from vtkOutputWindow.

## ◆ GetOutput()

std::string vtkStringOutputWindow::GetOutput | ( |  | ) |
| inline

Get the current output as a string.

Definition at line 38 of file vtkStringOutputWindow.h.

## ◆ Initialize()

void vtkStringOutputWindow::Initialize | ( |  | ) |
| protected

## Member Data Documentation

## ◆ OStream

std::ostringstream vtkStringOutputWindow::OStream
| protected

Definition at line 45 of file vtkStringOutputWindow.h.

The documentation for this class was generated from the following file:

- Common/Core/vtkStringOutputWindow.h